| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Properties | List of all members
IG.Lib.WaitFileEventBase.Example Class Reference

Class containing examples for waiting creation or removal of files and directories. More...

Inheritance diagram for IG.Lib.WaitFileEventBase.Example:
[legend]
Collaboration diagram for IG.Lib.WaitFileEventBase.Example:
[legend]

## Properties
override IWaitFileEvent | Creation`[get]`
override IWaitFileEvent | Removal`[get]`
Properties inherited from IG.Lib.WaitFileEventLatenceBase.ExampleLatence
virtual IWaitFileEvent | Creation`[get]`
virtual IWaitFileEvent | Removal`[get]`

## Additional Inherited Members
Public Member Functions inherited from IG.Lib.WaitFileEventLatenceBase.ExampleLatence
void | ExampleBlockCreateRemove (string filePath)
| Monitors the specified file and successively blocks until it is created and then until it is removed. This procedure is repeated twice. More...
void | ExampleBlockCreateRemove (string filePath, int numSwitches)
| Monitors the specified file and successively blocks until it is created and then until it is removed. More...
void | ExampleBlockCreateRemove (string filePath, int numSwitches, bool waitDirectory)
| Monitors the specified file and successively blocks until it is created and then until it is removed. More...
void | TestSpeedBlockCreateRemove (string filePath)
| Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed. More...
void | TestSpeedBlockCreateRemove (string filePath, int numSwitches, int sleepMs)
| Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed. More...
void | TestSpeedBlockCreateRemove (string filePath, int numSwitches, int sleepMs, bool waitDirectory)
| Test of speed of reaction of file/directory creation and removal blocking waits. A specified number of alternate creations and removals are perfomed in a parallel thread, with specified delay between them. In the main thread, blocking waits are performed waiting for creation/removal in an infinite loop, and it is counted how many events are captured and how many are missed. More...
Protected Attributes inherited from IG.Lib.WaitFileEventLatenceBase.ExampleLatence
IWaitFileEvent | _creation = null
string | ExamplePath
bool | IsDirectory
bool | TthreadStopped
int | NumIterations
int | SleepTimeMs
double | TestTime
object | fileOperationLock = new object()
| Lock for file creation and removal operations. More...

## Detailed Description

Class containing examples for waiting creation or removal of files and directories.

## Property Documentation

override IWaitFileEvent IG.Lib.WaitFileEventBase.Example.Creation
| get protected

override IWaitFileEvent IG.Lib.WaitFileEventBase.Example.Removal
| get protected

The documentation for this class was generated from the following file:

- igbase/0unsorted/WaitConditionFile.cs